%def_without vv
%def_with krb5
%def_enable purple
%def_enable telepathy

Name: pidgin-sipe
Version: 1.11.2
Release: alt1
Summary: Pidgin plugin for connecting to MS Communications Server

Group: Networking/Instant messaging
License: GPLv2+
Url: http://sipe.sourceforge.net/
Packager: Alexey Shabalin <shaba@altlinux.ru>

Source: %name-%version.tar
# Patch1: %name-%version-git_snapshot.patch

BuildRequires: intltool libxml2-devel
BuildRequires: libpurple-devel >= 2.7.0-alt2
%{?_with_vv:BuildRequires: libnice-devel >= 0.0.12-alt1}
%{?_with_krb5:BuildRequires: libkrb5-devel}
%{?_enable_telepathy:BuildRequires: libtelepathy-glib-devel}
BuildRequires: libnss-devel
BuildRequires: libgmime-devel >= 2.4.16

%description
Provides an Open Implementation of SIP/Simple protocol for connecting Pidgin to
Live Communications Server 2003/2005 and Office Communications Server 2007.

%prep
%setup -q
# %%patch1 -p1

%build
export KRB5_CFLAGS=`krb5-config --cflags`
%autoreconf
%configure \
	%{subst_enable purple} \
	%{subst_with vv} \
	%{subst_with krb5}

# 	%{subst_enable telepathy} \

%make_build

%install
%make DESTDIR=%buildroot install
rm -f %buildroot%_libdir/purple-2/*.la
%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog HACKING COPYING NEWS README TODO
%_libdir/purple-2/libsipe.so
%_pixmapsdir/pidgin/protocols/*/sipe.*

%changelog
* Mon Nov 15 2010 Alexey Shabalin <shaba@altlinux.ru> 1.11.2-alt1
- 1.11.2

* Wed Oct 06 2010 Alexey Shabalin <shaba@altlinux.ru> 1.11.0-alt1
- 1.11.0

* Mon Sep 27 2010 Alexey Shabalin <shaba@altlinux.ru> 1.10.1-alt1
- stable 1.10.1
- build without voice and video support

* Wed May 26 2010 Alexey Shabalin <shaba@altlinux.ru> 1.10.0-alt2.git_dcc66501
- git snapshot dcc665015b63e9c77de6573c63fa747d59ef968a (pre 1.11.0)
- build with voice and video support

* Mon Apr 19 2010 Alexey Shabalin <shaba@altlinux.ru> 1.10.0-alt1
- 1.10.0

* Fri Mar 12 2010 Alexey Shabalin <shaba@altlinux.ru> 1.9.0-alt1.git15372
- 1.9.0
- git snapshot 1537295681eaf3457716ab2ae9cae04a44b25a9e

* Thu Feb 11 2010 Alexey Shabalin <shaba@altlinux.ru> 1.8.0-alt1.git5a9509
- 1.8.0 + git snaphot 20100211

* Thu Dec 24 2009 Alexey Shabalin <shaba@altlinux.ru> 1.7.1-alt1
- Initial packaging
